#ifndef XFXIMPACTENTRY_H
#define XFXIMPACTENTRY_H

#include "xasset.h"
#include "xeffectdef.h"

class XFxImpactEntry : public XAsset
{
public:
    explicit XFxImpactEntry();
    ~XFxImpactEntry();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    QVector<qint32> mNonFleshPtrs;
    QVector<XEffectDef> mNonFlesh;

    QVector<qint32> mFleshPtrs;
    QVector<XEffectDef> mFlesh;
};

#endif // XFXIMPACTENTRY_H
